<POST> Supply Chain Attacks
1 min
The Below parameters are for supply chain attacks. To know more about different input parameters and how to use API see AI/ML Supply Chain
Supply Chain Attacks
This api perform static assessment of files present in repos, local or s3 bucket for possible vulnerability
POST
https://api.aws.boschaishield.com/prod/api/ais/v1.5/supplychain
Header Parameters
- x-api-keystringrequiredDescription
- Org-IdstringrequiredDescription
Body Parameters
- repo_typeStringrequiredDescription
- repo_urlstringDescription
- branch_namestringDescription
- depthIntegerDescription
- usernamestringDescription
- patstringDescription
- model_idstringDescription
- aws_access_key_idstringDescription
- aws_secret_access_keystringDescription
- regionstringDescription
- bucket_namestringDescription
- azure_connection_stringstringDescription
- container_namestringDescription
- service_account_json_fileobjectDescription
curl
curl --location 'https://api.aws.boschaishield.com/prod/api/ais/v1.5/supplychain' \
--header 'x-api-key: string' \
--header 'Org_id: string' \
--data {"repo_type":"String","repo_url":"String","branch_name":"String","depth":"Integer","model_id":"String","aws_access_key_id":"String","aws_secret_access_key":"String","region":"String","bucket_name":"String"}python
import requests
url = "https://api.aws.boschaishield.com/prod/api/ais/v1.5/supplychain"
payload = {"repo_type":"String","repo_url":"String","branch_name":"String","depth":"Integer","model_id":"String","aws_access_key_id":"String","aws_secret_access_key":"String","region":"String","bucket_name":"String"}
headers = {
'x-api-key': 'string',
'Org_id': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// 200 OK: Returns a JSON object containing unique model ID and urls to upload required files.401
// 401 Unauthorized: Returns an error message if the provided API key or Org-ID is invalid or expired.400
// 400 Bad request Error: Returns an error message if the application cannot or will not process the request due to something that is perceived to be a client error (for example, malformed request syntax, invalid request message framing, etc.)412
// 412 precondition failed: Returns an error message if access to the target resource has been denied. (For example- if any of the parameter value is incorrect or license has expired)